package com.citygis.web.utils;

import com.alibaba.excel.EasyExcel;
import com.citygis.web.domain.TabSystemMsgReport;

import java.util.List;

/**
 * @Author: zyl
 * @CreateTime: 2025-01-22
 * @Description:
 * @Version: 1.0
 */
public class ExcelExportUtil {

    public static void exportExcel(List<TabSystemMsgReport> dataList, String filePath) {

            if (dataList == null || dataList.isEmpty()) {
                System.out.println("没有数据可以导出");
                return;
            }

            // 使用 EasyExcel 写入 Excel 文件
            EasyExcel.write(filePath, TabSystemMsgReport.class)
                    .sheet("周报")  // 设置工作表名称
                    .doWrite(dataList); // 插入数据

    }

}
